Package es.imim.DISGENET.styles

# Class DisGenetStyleManager

java.lang.Object
es.imim.DISGENET.styles.DisGenetStyleManager

All Implemented Interfaces:
  `org.cytoscape.event.CyListener`, `org.cytoscape.session.events.SessionLoadedListener`

public class DisGenetStyleManager extends Object implements org.cytoscape.session.events.SessionLoadedListener
The DISGENET Cytoscape App is designed to visualize, query, and analyze a network representation of DISGENET data.

Copyright (C) 2024 MEDBIOINFORMATICS SOLUTIONS SL

This file is part of the DISGENET Cytoscape App. The DISGENET Cytoscape App is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or any later version.

The DISGENET Cytoscape App is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the DISGENET Cytoscape App. If not, see http://www.gnu.org/licenses/.

## Method Summary

Modifier and Type
Method
Description
`static DisGenetStyleManager`
`getInstance(org.cytoscape.task.read.LoadVizmapFileTaskFactory loadVizmapFileTaskFactory, org.cytoscape.view.vizmap.VisualMappingManager vmm, org.cytoscape.view.vizmap.VisualStyleFactory vsf)`
`static org.cytoscape.view.vizmap.VisualStyle`
`getVisualStyleByName(org.cytoscape.view.vizmap.VisualMappingManager vmm, String styleName)`
Get the visual style by name.
`void`
`handleEvent(org.cytoscape.session.events.SessionLoadedEvent e)`
`void`
`loadStyles()`
Load the visual styles of the app.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static DisGenetStyleManager getInstance(org.cytoscape.task.read.LoadVizmapFileTaskFactory loadVizmapFileTaskFactory, org.cytoscape.view.vizmap.VisualMappingManager vmm, org.cytoscape.view.vizmap.VisualStyleFactory vsf)

### loadStyles

public void loadStyles()
Load the visual styles of the app.

### getVisualStyleByName

public static org.cytoscape.view.vizmap.VisualStyle getVisualStyleByName(org.cytoscape.view.vizmap.VisualMappingManager vmm, String styleName)
Get the visual style by name.

Parameters:
  `vmm` - the visualmappingmanager of the Cytoscape session.
  `styleName` - the name of the style to load.
Returns:
  the visual style with the given name or the default style if the given style is not found.

### handleEvent

public void handleEvent(org.cytoscape.session.events.SessionLoadedEvent e)

Specified by:
  `handleEvent` in interface `org.cytoscape.session.events.SessionLoadedListener`